Company Earnings Info
curl --request POST \
--url https://api-lr.agent.ai/v1/action/company_financial_info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "HUBS, NKE, AAPL",
"quarter": 1,
"year": "2025"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/company_financial_info"
payload = {
"company": "HUBS, NKE, AAPL",
"quarter": 1,
"year": "2025"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company: 'HUBS, NKE, AAPL', quarter: 1, year: '2025'})
};
fetch('https://api-lr.agent.ai/v1/action/company_financial_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"response": "Operator: Good afternoon and welcome to the HubSpot Q2 2024 Earnings Call. My name is Harry and I will be your operator today."
}Business & Financial Data
Company Earnings Info
Gather company earnings information for public companies by quarter and year.
POST
/
action
/
company_financial_info
Company Earnings Info
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
⌘I

